Real Struct Reference

`#include <bigdecimal.h>`

## Data Fields

VALUE | obj
size_t | MaxPrec
size_t | Prec
SIGNED_VALUE | exponent
short | sign
short | flag
BDIGIT | frac [1]

## Detailed Description

Definition at line 127 of file bigdecimal.h.

## Field Documentation

SIGNED_VALUE Real::exponent

Definition at line 135 of file bigdecimal.h.

Referenced by AddExponent(), BigDecimal_divide(), BigDecimal_DoDivmod(), BigDecimal_hash(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpDup(), VpExponent10(), VpFrac(), VpMidRound(), VpMult(), VpNumOfChars(), VpPower(), VpSetPTR(), VpSqrt(), VpToFString(), VpToString(), and VpVtoD().

short Real::flag

Definition at line 146 of file bigdecimal.h.

Referenced by VpDup().

BDIGIT Real::frac[1]

Definition at line 147 of file bigdecimal.h.

Referenced by BigDecimal_div(), BigDecimal_hash(), BigDecimal_to_i(), VpAddAbs(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpDup(), VpExponent10(), VpFrac(), VpLeftRound(), VpMidRound(), VpMult(), VpNmlz(), VpPower(), VpRdup(), VpSetPTR(), VpSubAbs(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

size_t Real::MaxPrec

Definition at line 129 of file bigdecimal.h.

Referenced by BigDecimal_divremain(), BigDecimal_load(), BigDecimal_memsize(), BigDecimal_prec(), VpAlloc(), VpAsgn(), VpCtoV(), VpDivd(), VpDtoV(), VpDup(), VpFrac(), VpMult(), VpPower(), VpSetPTR(), and VpSqrt().

VALUE Real::obj

Definition at line 128 of file bigdecimal.h.

Referenced by BigDecimal_add(), BigDecimal_coerce(), BigDecimal_power(), BigDecimal_sub(), BigMath_s_exp(), BigMath_s_log(), rmpd_power_by_big_decimal(), ToValue(), VpCreateRbObject(), VpDup(), and VpNewRbClass().

size_t Real::Prec

Definition at line 132 of file bigdecimal.h.

Referenced by BigDecimal_abs(), BigDecimal_ceil(), BigDecimal_coerce(), BigDecimal_div(), BigDecimal_div2(), BigDecimal_divide(), BigDecimal_DoDivmod(), BigDecimal_fix(), BigDecimal_floor(), BigDecimal_frac(), BigDecimal_hash(), BigDecimal_mult(), BigDecimal_neg(), BigDecimal_power(), BigDecimal_prec(), BigDecimal_round(), BigDecimal_sqrt(), BigDecimal_truncate(), BigDecimalCmp(), GetAddSubPrec(), VpAddSub(), VpAsgn(), VpComp(), VpCtoV(), VpDivd(), VpDtoV(), VpDup(), VpFrac(), VpLimitRound(), VpMidRound(), VpMult(), VpNmlz(), VpNumOfChars(), VpPower(), VpRdup(), VpSetPTR(), VpSzMantissa(), VpToFString(), VpToString(), and VpVtoD().

short Real::sign

Definition at line 136 of file bigdecimal.h.

Referenced by BigDecimal_hash(), BigDecimal_sign(), VpComp(), and VpDup().

The documentation for this struct was generated from the following file:

- ext/bigdecimal/bigdecimal.h